######################
# agent.grid
######################

type=agent.AgentDeinstallEvent
code=4.1.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was deleted from the Config File
info=이 이벤트는 고객 사이트의 관리자가 에이전트 구성에서
'호스트를 삭제하여 해당 호스트에서 수행한 모니터링을 종료하려는 경우에
'생성됩니다.

type=agent.ConfigureEvent.revision_maintenance_cron_list
code=4.46.220
severity=0
actionable=0
desc=Automatic Revision Maintenance report of patches required on the system was run.

type=agent.SystemRelease
code=4.54.16
severity=0
actionable=0
desc=This 6920 system was released by admin-20 at 2004-01-01 

type=agent.SystemReserve
code=4.55.16
severity=0
actionable=0
desc=This 6920 system was reserved by admin-20 at 2004-01-01  for maintenance


type=agent.ConfigureEvent
code=4.46.16
severity=1
actionable=0
desc=Configure device [device_name] on Sun Solution

type=agent.ProviderEvent
code=4.47.16
severity=1
actionable=0
desc=Provider 'sae' was turned on a the request of '171.20.20.10'


type=agent.AgentInstallEvent
code=4.2.16
severity=0
actionable=0
desc=Agent on host '[Host_Name]' was Added to the Config File
cause=ras_install를 실행하여 에이전트가 설치 및 활성화되었습니다.  
action=1. Storage Automated Diagnostic Environment UI를 확인하여
'새 에이전트가 예상되고 작동하고 있는지 확인합니다.


type=agent.ValueChangeEvent.system_warnings
code=4.3.142
severity=1
actionable=0
desc=Storage A.D.E agent system errors.
info=에이전트 실행 시도 시 오류가 발생했습니다.
'에이전트에 의해 호출되는 명령과 응용 프로그램이 있습니다.
cause=정보에 설명된 응용 프로그램은 종종 시간 초과나 호스트, 장치 및/또는
'응용 프로그램 자체에 대한 액세스 문제로 인해 실패합니다.
<include solution.gui_action>
action=이벤트 설명에 지정된 장치의 현재 상태 및
'시스템에서 발생한 모든 추가 이벤트에 대해 Storage A.D.E. UI를 사용하여
'추가로 격리합니다.
'       - 경보 세부사항 보기
'       - 이벤트 로그 검색
</include>

type=agent.ValueChangeEvent.system_errors
code=4.3.99
severity=2
actionable=1
desc=Storage A.D.E agent system errors.
info=에이전트 실행 시도 시 오류가 발생했습니다.
'에이전트에 의해 호출되는 명령과 응용 프로그램이 있습니다.
cause=정보에 설명된 응용 프로그램과 명령은 종종 시간 초과나 호스트,
'장치 및/또는 개별 응용 프로그램에 대한 액세스 문제로 인해
'실패합니다.
<include solution.gui_action>
action=이벤트 설명에 지정된 장치의 현재 상태 및
'시스템에서 발생한 모든 추가 이벤트에 대해 Storage A.D.E. UI를 사용하여
'추가로 격리합니다.
'       - 경보 세부사항 보기
'       - 이벤트 로그 검색
</include>


type=agent.AlternateMaster.release
code=4.53.183
severity=1
actionable=0
desc=Master on '[Host_Name]' is back, Alternate-master '[Host_Name]' releasing
info=대체 마스터로 구성된 호스트가 해당 마스터로 구성된 현재 마스터를 핑하지 못할 경우 마스터의 역할을 대신하며 모든 슬레이브를 리디렉션하여 해당 정보를 일시적으로 대체 마스터로 전달합니다.
'마스터 역할을 담당하는 대체 마스터는 계속해서 기존 마스터를 모니터하며 통신이 재설정된 후에 마스터 역할을 해제합니다.
cause=이더넷 통신이 재설정되었습니다.
action=1. 기존 마스터가 중지된 원인을 찾습니다.
'2. 브라우저에서 슬레이브를 지정하여 모든 또는 일부 슬레이브(슬레이브가 많은 경우)가 기존 마스터에 응답하도록 리디렉션되었는지 확인하고 마스터에 대한 링크가 올바른지 확인합니다.


type=agent.AlternateMaster.start
code=4.53.184
severity=1
actionable=1
desc=Master on '[Host_Name]' is down, Alternate-master on '[Host_Name]' taking over
info=대체 마스터로 구성된 호스트가 마스터로 구성된 호스트로부터 핑에 대한 
'성공적인 응답을 얻지 못할 경우 마스터의 역할을 대신하며 모든 슬레이브를
'리디렉션하여 해당 정보를 대체 마스터로 전달합니다.  
'마스터 역할을 담당하는 대체 마스터는 계속해서 기존 마스터를 모니터하며
'통신이 재설정된 후에 마스터 역할을 해제합니다.
'경고: 마스터가 모니터한 장치는 마스터가 다시 작동해야
'모니터됩니다.
cause=이 이벤트는 이더넷 연결을 통한 마스터와의 통신에 실패하는 경우에 발생합니다.
action=1. 기존의 마스터 운영 환경이 완전히 작동 가능한지 확인합니다.
'2. 시스템간 이더넷 연결을 확인합니다.
'3. 다른 시스템과 기존 마스터 간의 이더넷 연결을 확인합니다.
'4. 대체 마스터(현재 마스터)와 다른 시스템 간의 이더넷 연결을 확인합니다.


type=agent.CommunicationEstablishedEvent.oob
code=4.11.31
pattern=e
severity=0
actionable=0
desc=Access to '[Host_Name]' at [IP_Address] regained
info=Storage A.D.E는 실행 초기에 마스터에서 모든 해당 슬레이브로의 통신을 확인하며 이전에는 실패했지만 지금은 작동하는 경우 이 이벤트를 생성합니다.
cause=마스터 에이전트는 실행될 때마다 모든 슬레이브를 핑하고 핑이 실패할 경우 이 이벤트를 보고합니다.  주요 원인은 이더넷 통신에 부정적인 영향을 미치는 요인이 존재하기 때문입니다.
action=1. 슬레이브의 운영 환경이 재부트되었을 수 있으며 이것이 계획된 중단이었는지 확인합니다.
'2. 향후 문제 해결을 위해 이더넷 오류의 원인을 확실하게 파악합니다.


type=agent.CommunicationLostEvent.ntc
code=4.12.30
pattern=ntc
severity=2
actionable=1
desc=Lost Communication(oob) with Terminal concentrator
info=이 이벤트는 저장 솔루션 시스템(3900/6900/6320)에서만 발생할 수 있으며 이벤트를 전송해야 하는 경우에 모뎀을 액세스할 수 없다는 것을 의미합니다.
cause=NTC가 SP LAN에 연결되어 있으며 서비스 프로세서와 NTC (Network Terminal Concentrator) 간에서 더 이상 통신할 수 없습니다.
action=1. NTC 장치에 전원이 공급되며 완전히 작동하는지 확인합니다.
'        a. 전면 패널의 맨 왼쪽에 있는 3개의 LED가 켜져야 합니다
'2. 동일한 SP Lan에 다른 저장 솔루션 시스템이 있을 경우 해당 이더넷 연결을 확인합니다.
'3. 다음 명령을 사용하여 전송 대기 중인 임의의 phonehome이 있는지 확인합니다.
'   # /usr/bin/uustat -a
'4. 원격 솔루션 센터에 해결 방법을 문의하십시오.


type=agent.CommunicationLostEvent.oob
code=4.12.31
severity=3
actionable=1
desc=Cannot access '[Host_Name]' at [IP_Address] (using udp ping)
info=Storage A.D.E는 실행 초기에 마스터에서 모든 해당 슬레이브로의 통신을 검사하여 응답하지 않는 통신이 있을 경우 이 이벤트를 생성합니다.
'주: 조건이 수정되지 않을 경우 이 메시지가 8시간마다 반복됩니다.
cause=마스터 에이전트는 실행될 때마다 모든 슬레이브를 핑하고 핑이 실패할 경우 이 이벤트를 보고합니다.
action=1. 마스터와 슬레이브 호스트 간 이더넷 연결을 확인합니다.
'2. 슬레이브 운영 환경이 완전히 작동하는지 확인합니다.
'3. 허브/라우터를 사용할 경우 장치의 전원 및 연결을 확인합니다.
'4. 다른 시스템 간 이더넷 연결을 확인합니다.


type=agent.HeartbeatEvent
code=4.15.16
severity=0
actionable=0
desc=Heartbeat
info=하트비트 이벤트는 이 에이전트에서 이미 전송되지 않는 한 매일 생성됩니다.
cause=Storage A.D.E가 공급자 구성에 의해 지정된 시간 간격 내에 구성된 공급자에 이벤트를 보내지 않았습니다.
action=1. 일반적으로 별도의 작업이 필요하지 않습니다.
